<?php

require_once('api/Okay.php');

class EasypayBankcard extends Okay
{
    public function checkout_form($order_id, $button_text = null)
    {
        if (empty($button_text)) {
            $button_text = 'Перейти к оплате';
        }
        
        $order = $this->orders->get_order((int)$order_id);
        $payment_method = $this->payment->get_payment_method($order->payment_method_id);
        $payment_currency = $this->money->get_currency(intval($payment_method->currency_id));
        $settings = $this->payment->get_payment_settings($payment_method->id);

        $EP_Sum = round($this->money->convert($order->total_price, $payment_method->currency_id, false), 2);
        
        // описание заказа
        $EP_Comment = 'Оплата заказа №'.$order->id;

        $web_key = $settings['web_key'];
		$EP_MerNo = $settings['EP_MerNo'];
		$EP_Expires = $settings['EP_Expires'];
	//	$EP_Success_URL = $this->config->root_url.'/order/'.$order->url;
		$EP_Cancel_URL = $this->config->root_url.'/order/'.$order->url;
		$EP_Debug = $settings['EP_Debug'];
		$url = 'https://ssl.easypay.by/weborder/?EP_Module=okaycms';
		$EP_Encoding = 'utf-8';
		$EP_OrderNo = $order->id;
		$EP_PayType = '';

		if ($EP_Debug === 'sandbox') {
			$url = 'https://ssl.easypay.by/test/client_weborder.php';
			$web_key = 'dh48djklhgl5893j';
			$EP_MerNo = 'ok6666';
			$EP_Debug = 1;
		}
		else {
			$EP_Debug = 0;
		}

		$EP_Hash = md5 ($EP_MerNo . $web_key . $order->id . $EP_Sum);

        $res['EP_MerNo'] = $EP_MerNo;
        $res['EP_Sum'] = $EP_Sum;
		$res['EP_OrderNo'] = $EP_OrderNo;
		$res['EP_Expires'] = $EP_Expires;
        $res['EP_Hash'] = $EP_Hash;
		$res['EP_Success_URL'] = '';
		$res['EP_Cancel_URL'] = $EP_Cancel_URL;
		$res['EP_Comment'] = $EP_Comment;
		$res['EP_Debug'] = $EP_Debug;
		$res['EP_Encoding'] = $EP_Encoding;
		$res['EP_PayType'] = $EP_PayType;

		$res['url'] = $url;
        
        
        $button = "<form name='payment' action='$url' method='post' 
                    enctype='application/x-www-form-urlencoded' accept-charset='UTF-8'>
                    <input type='hidden' name='EP_MerNo' value='$EP_MerNo'>
                    <input type='hidden' name='EP_Sum' value='$EP_Sum'>
                    <input type='hidden' name='EP_OrderNo' value='$EP_OrderNo'>
                    <input type='hidden' name='EP_Expires' value='$EP_Expires'>
                    <input type='hidden' name='EP_Hash' value='$EP_Hash'>
                    <input type='hidden' name='EP_Success_URL' value=''>
                    <input type='hidden' name='EP_Cancel_URL' value='$EP_Cancel_URL'>
                    <input type='hidden' name='EP_Comment' value='$EP_Comment'>
                    <input type='hidden' name='EP_Encoding' value='$EP_Encoding'>
                    <input type='hidden' name='EP_Debug' value='$EP_Debug'>
                    <input type='hidden' name='EP_PayType' value='$EP_PayType'>
                    <input type='submit' name='process' value='$button_text' class='checkout_button'>
                    </form>";
        return $res;
    }
}